explain_lstat_or_die(3)

NAME
explain_lstat_or_die - get file status and report errors

SYNOPSIS
#include <libexplain/lstat.h>

void explain_lstat_or_die(const char *pathname, struct stat *buf);

DESCRIPTION
The explain_lstat_or_die function is used to call the lstat(2) system call. On failure an explanation will be printed to stderr, obtained from explain_lstat(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_lstat_or_die(pathname , buf);

pathname
    The pathname, exactly as to be passed to the lstat(2) system call.

buf The buf, exactly as to be passed to the lstat(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

lstat(2)
    get file status

explain_lstat(3)
    explain lstat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2008 Peter Miller